import java.util.Scanner;

public class QuotientWithException { 
  public static int quotient(int number1, int number2) {
    if (number2 == 0)
      throw new ArithmeticException("Dzielnik nie może być zerem");

    return number1 / number2;
  }
  
  public static void main(String[] args) {
    Scanner input = new Scanner(System.in);
    
    // Prośba o wpisanie dwóch liczb całkowitych
    System.out.print("Wpisz dwie liczby całkowite: ");
    int number1 = input.nextInt();
    int number2 = input.nextInt();
    
    try {
      int result = quotient(number1, number2);
      System.out.println(number1 + " / " + number2 + " równa się " 
        + result);
    }
    catch (ArithmeticException ex) {
      System.out.println("Wyjątek: liczby całkowitej " +
        "nie można dzielić przez zero ");
    }

    System.out.println("Kontynuowanie pracy ...");
  }
}
